---
title: "Retrieve Library folders"
slug: "retrieve-library-folders-v2libraryfolders"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Library folders (/v2/library/folders)

Get/v2/library/folders

Use this endpoint to retrieve a list of public library folders. We do not allow retrieval of either private or archived folders.

Required authorizaton scope: 'api:library:read'.

Query parametersworkspaceIdstring

Workspace identifier. We will retrieve folders which are related to this specific workspace.

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='ede0c3ed-b849-4720-ae84-2771960afcbc'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
folders Array of object (LibraryFolder)   

A list, in which each item specifies one folder.

object  

Basic details such as sub-folders, title, etc.

idstring    

Gong's unique numeric identifier for a library's folder (up to 20 digits).

Example3843152912968920037
namestring    

Display name of the folder.

ExampleSales Onboarding
parentFolderIdstring    

Gong's unique numeric identifier for library's parent folder (null for root folder).

Example295738305212375930
createdBystring    

Gong's unique numeric identifier for the user who added the folder.

Example234599484848423
updatedstring  (date-time)    

Folder's last update time in the ISO-8601 format (e.g., '2020-03-14T05:30:00-08:00').

Example2020-03-14T13:30:00Z

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='b3e0eac1-da15-413e-8853-a60aa3744600'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='45cea236-cb27-4da0-a626-eee5aad80246'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

No folders found for the specified period

<select class='api-response-data' aria-label='Media type'><option value='71e01eb9-6ed4-41f7-a6b0-743dce422a32'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='cec853cb-b556-428b-8550-53647722117a'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='7a3ed678-36b4-4df3-ad34-7bde8f284aec'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
